.bg-img-fence {
    background-image: url(../img/backgrounds/bg-fence.webp);
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
}

.bg-index-card {
    background-color: blue;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.bg-fir-obj {
    background-image: url(../img/backgrounds/firemni_obj.webp);
}

.bg-reference {
    background-image: url(../img/backgrounds/reference.webp);
}

.bg-about {
    background-image: url(../img/backgrounds/about.webp);
}

.bg-history {
    background-image: url(../img/backgrounds/historie.webp);
}

.bg-fir-obj-kontakt {
    background-image: url(../img/backgrounds/firemni_obj_kontakt.webp);
    background-position: top !important;
}

.bg-soukr-majetek-kontakt {
    background-image: url(../img/backgrounds/soukr-majetek-kontakt.webp);
}

.bg-byt-komp-kontakt {
    background-image: url(../img/backgrounds/bytove_komp_kontakt.webp);
}

.bg-dalsi-sl-kontakt {
    background-image: url(../img/backgrounds/dalsi_sl_kontakt.webp);
}

.bg-pridejse-kontakt {
    background-image: url(../img/backgrounds/pridejse_kontakt.webp);
    background-position: top !important;
}

.bg-soukr-obj {
    background-image: url(../img/backgrounds/soukrome_obj.webp);
}

.bg-byt-kompl {
    background-image: url(../img/backgrounds/bytove_komp.webp);
}

.bg-kontakt {
    background-image: url(../img/backgrounds/kontakt.webp);
}

.bg-dalsi-sluzby-card {
    background-image: url(../img/backgrounds/dalsi_sluzby_karta.webp);
}

.bg-onas-card {
    background-image: url(../img/backgrounds/kontakt-card.webp);
}

.bg-team-index {
    background-image: url(../img/backgrounds/team.webp);
}

.bg-team {
    background-image: url(../img/backgrounds/pridejse.webp);
}

.bg-dalsi-sluzby {
    background-image: url(../img/backgrounds/dalsi_sluzby.webp);
}

.blue-owerlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0.3;
}

.blue-owerlay-linear {
    background: linear-gradient(rgba(0, 0, 0, 0.1), var(--secondary-blue));
    position: absolute;
    width: 100%;
    height: 100%;
    min-height: 100vh;
    top: 0;
    left: 0;
}

.z-index-front {
    z-index: 999;
}


.card-index:hover .blue-owerlay {
    opacity: 0.8;
    transition: all 300ms linear;

}

.card-index:hover .card-body {
    visibility: hidden;
}

.card-body-hidden {
    visibility: hidden;
}

.card-index:hover .card-body-hidden {
    visibility: visible !important;
    transition: all 300ms linear;
}

.min-h-100 {
    min-height: 100vh;
}

.horizontal-split-line {
    height: 2px;
    width: 70% !important;
    background-color: white;
}

a,
a:hover {
    text-decoration: none !important;

}

.bg-cover {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.btn-otline-primary-blue {
    border-color: var(--primary-blue) !important;
    color: var(--primary-blue) !important;
}

.btn-otline-primary-blue:hover {
    border-color: var(--primary-blue) !important;
    background-color: var(--primary-blue) !important;
    color: white !important;
}

.list-style {
    display: list-item;
    list-style-position: inside;
}

.btn-outline-light:hover {
    color: var(--primary-blue) !important;
}


.accordion-button {
    border: 0 !important;
}

.accordion-button:not(.collapsed) {
    background-color: transparent !important;
    color: black !important;
    box-shadow: none !important;
}

.accordion-item {
    border-radius: 10px !important;
    border-color: black !important;
}

.accordion-item:not(:first-of-type) {
    border-top: 1px solid !important;
}

.acordion-header-vertical-line {
    height: 1px;
    background-color: black;
}

.accordion-button:after {
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' height='48' width='48'><path d='m24 30-10-9.95h20Z'/></svg>") !important;
    background-size: contain !important;
    height: 35px !important;
    width: 35px !important;
}

.accordion-button:not(.collapsed)::after {
    /*visibility: hidden;*/
}

.img-reference-section::before {
    content: "";
    top: 20px;
    left: 0;
    background-color: blue;
    width: 100%;
    height: 100%;
}

.carousel {
    margin-top: 50px;
}

.carousel-inner {
    height: 350px;
}

.carousel-caption {
    top: 50%;
}

.navbar {
    transition: all 200ms linear;
}

.navbar.scrolled {
    background-color: var(--secondary-gray) !important;
    transition: all 300ms linear;
    margin: 0 !important;
}

@media only screen and (max-width: 800px) {
    .navbar {
        margin: 0 !important;
    }
}

.dropdown-menu {
    margin-top: 20px !important;
}

.nav-link {
    font-size: .875em !important;
}

.form-holder {
    flex-direction: column;
}

.form-content .form-items {
    border: 2px solid var(--primary-blue);
    display: inline-block;
    -webkit-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.form-content h3 {
    color: var(--primary-blue);
    text-align: left;
    font-size: 28px;
    font-weight: 600;
}

.form-content h3.form-title {
    margin-bottom: 30px;
}

.form-content p {
    color: var(--secondary-gray);
    text-align: left;
    font-size: 17px;
    font-weight: 300;
    line-height: 20px;
    margin-bottom: 30px;
}


.form-content input[type=text],
.form-content input[type=password],
.form-content input[type=email],
.form-content select {
    width: 100%;
    padding: 9px 20px;
    text-align: left;
    border: 1px solid var(--secondary-gray);
    outline: 0;
    border-radius: 6px;
    background-color: #FFF;
    font-size: 15px;
    font-weight: 300;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    margin-top: 16px;
}



.form-content textarea {
    position: static !important;
    width: 100%;
    padding: 8px 20px;
    border-radius: 6px;
    text-align: left;
    background-color: #FFF;
    border: 1px solid var(--secondary-gray);
    font-size: 15px;
    font-weight: 300;
    color: var(--secondary-gray);
    outline: none;
    resize: none;
    height: 120px;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    margin-bottom: 14px;
}



.contact-information-colm {
    width: fit-content !important;
}




.staff .container-fluid {
    max-width: 1400px;
}

.staff .card {
    background-color: #FFF;
    box-shadow: 0 6px 10px rgba(0, 0, 0, .08), 0 0 6px rgba(0, 0, 0, .05);
    border: 1;
    border-radius: 1rem;
}

.staff .img-hover-zoom--colorize img {
    border-radius: 50%;
    width: 150px;
    height: auto;
    margin-top: 20px;
    padding: 1px;
    transition: transform .5s;
    filter: grayscale(100%);
}

.staff .img-hover-zoom--colorize:hover img {
    filter: grayscale(0);
    transform: scale(1.05);
}

.staff .role {
    color: #7a7a7a;
}

.staff .box {
    display: flex;
    align-items: center;
    justify-content: center;
}

.staff .fab {
    font-size: 1.5rem;
    color: darkgray;
    transition: transform .5s;
}

.staff .fab:hover {
    color: black;
    transform: scale(1.1);
}



/* MEDIA */

@media only screen and (min-width: 1200px) {
    .staff .img-hover-zoom--colorize img {
        width: 200px;
    }
}


.mt-260px {
    margin-top: 260px !important;
}

.img-cover {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}



.logos {
    overflow: hidden;
}

.logos .slider {
    animation: slidein 30s linear infinite;
    white-space: nowrap;
}

.logos .slider .logos {
    width: 100%;
    display: inline-block;
    margin: 0px 0;
}

.logos .slider .logos img {
    width: calc(100% / 6);
    animation: fade-in 0.5s cubic-bezier(0.455, 0.03, 0.515, 0.955) forwards;
}


@keyframes slidein {
    from {
        transform: translate3d(0, 0, 0);
    }

    to {
        transform: translate3d(-100%, 0, 0);
    }
}

@keyframes fade-in {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/* The actual timeline (the vertical ruler) */
.main-timeline-2 {
    position: relative;
}

/* The actual timeline (the vertical ruler) */
.main-timeline-2::after {
    content: '';
    position: absolute;
    width: 3px;
    background-color: var(--secondary-blue);
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -3px;
}

/* Container around content */
.timeline-2 {
    position: relative;
    width: 50%;
}

/* The circles on the timeline */
.timeline-2::after {
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    right: -11px;
    background-color: var(--secondary-blue);
    top: 15px;
    border-radius: 50%;
    z-index: 1;
}

/* Place the container to the left */
.left-2 {
    padding: 0px 40px 20px 0px;
    left: 0;
}

/* Place the container to the right */
.right-2 {
    padding: 0px 0px 20px 40px;
    left: 50%;
}

/* Add arrows to the left container (pointing right) */
.left-2::before {
    content: " ";
    position: absolute;
    top: 18px;
    z-index: 1;
    right: 30px;
    border: medium solid white;
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent lightgray;
}

/* Add arrows to the right container (pointing left) */
.right-2::before {
    content: " ";
    position: absolute;
    top: 18px;
    z-index: 1;
    left: 30px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent lightgray transparent transparent;
}

/* Fix the circle for containers on the right side */
.right-2::after {
    left: -14px;
}

/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 600px) {

    /* Place the timelime to the left */
    .main-timeline-2::after {
        left: 31px;
    }

    /* Full-width containers */
    .timeline-2 {
        width: 100%;
        padding-left: 70px;
        padding-right: 25px;
    }

    /* Make sure that all arrows are pointing leftwards */
    .timeline-2::before {
        left: 60px;
        border: medium solid white;
        border-width: 10px 10px 10px 0;
        border-color: transparent white transparent transparent;
    }

    /* Make sure all circles are at the same spot */
    .left-2::after,
    .right-2::after {
        left: 18px;
    }

    .left-2::before {
        right: auto;
    }

    /* Make all right containers behave like the left ones */
    .right-2 {
        left: 0%;
    }
}

.reference-logo {
    max-width: 250px;
    max-height: 200px;
    object-fit: contain;
}


/* Cards */
.postcard {
    flex-wrap: wrap;
    display: flex;
    box-shadow: 0 4px 21px -12px rgba(0, 0, 0, 0.66);
    border-radius: 10px;
    margin: 0 0 2rem 0;
    overflow: hidden;
    position: relative;
    color: #ffffff;
}

.postcard.light {
    background-color: #e1e5ea;
}

.postcard .t-dark {
    color: #18151f;
}

.postcard a {
    color: inherit;
}

.postcard h1,
.postcard .h1 {
    margin-bottom: 0.5rem;
    font-weight: 500;
    line-height: 1.2;
}

.postcard .small {
    font-size: 80%;
}

.postcard .postcard__title {
    font-size: 1.75rem;
}

.postcard .postcard__img {
    max-height: 180px;
    width: 100%;
    object-fit: cover;
    position: relative;
}

.postcard .postcard__img_link {
    display: contents;
}

.postcard .postcard__bar {
    width: 50px;
    height: 10px;
    margin: 10px 0;
    border-radius: 5px;
    background-color: #424242;
    transition: width 0.2s ease;
}

.postcard .postcard__text {
    padding: 1.5rem;
    position: relative;
    display: flex;
    flex-direction: column;
}

.postcard .postcard__preview-txt {
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: justify;
    height: 100%;
}

.postcard .postcard__tagbox {
    display: flex;
    flex-flow: row wrap;
    font-size: 14px;
    margin: 20px 0 0 0;
    padding: 0;
    justify-content: center;
}

.postcard .postcard__tagbox .tag__item {
    display: inline-block;
    background: rgba(83, 83, 83, 0.4);
    border-radius: 3px;
    padding: 2.5px 10px;
    margin: 0 5px 5px 0;
    cursor: default;
    user-select: none;
    transition: background-color 0.3s;
}

.postcard .postcard__tagbox .tag__item:hover {
    background: rgba(83, 83, 83, 0.8);
}

.postcard:before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-image: linear-gradient(-70deg, #424242, transparent 50%);
    opacity: 1;
    border-radius: 10px;
}

.postcard:hover .postcard__bar {
    width: 100px;
}

@media screen and (min-width: 769px) {
    .postcard {
        flex-wrap: inherit;
    }

    .postcard .postcard__title {
        font-size: 2rem;
    }

    .postcard .postcard__tagbox {
        justify-content: start;
    }

    .postcard .postcard__img {
        max-width: 300px;
        max-height: 100%;
        transition: transform 0.3s ease;
    }

    .postcard .postcard__text {
        padding: 3rem;
        width: 100%;
    }

    .postcard .media.postcard__text:before {
        content: "";
        position: absolute;
        display: block;
        background: #18151f;
        top: -20%;
        height: 130%;
        width: 55px;
    }

    .postcard:hover .postcard__img {
        transform: scale(1.1);
    }

    .postcard:nth-child(2n+1) {
        flex-direction: row;
    }

    .postcard:nth-child(2n+0) {
        flex-direction: row-reverse;
    }

    .postcard:nth-child(2n+1) .postcard__text::before {
        left: -12px !important;
        transform: rotate(4deg);
    }

    .postcard:nth-child(2n+0) .postcard__text::before {
        right: -12px !important;
        transform: rotate(-4deg);
    }
}

@media screen and (min-width: 1024px) {
    .postcard__text {
        padding: 2rem 3.5rem;
    }

    .postcard__text:before {
        content: "";
        position: absolute;
        display: block;
        top: -20%;
        height: 130%;
        width: 55px;
    }

    .postcard.dark .postcard__text:before {
        background: #18151f;
    }

    .postcard.light .postcard__text:before {
        background: #e1e5ea;
    }
}

/* COLORS */


.postcard .postcard__tagbox .blue.play:hover {
    background: #0076bd;
}

.blue .postcard__title:hover {
    color: #0076bd;
}

.blue .postcard__bar {
    background-color: #0076bd;
}

.blue::before {
    background-image: linear-gradient(-30deg, rgba(0, 118, 189, 0.1), transparent 50%);
}

.blue:nth-child(2n)::before {
    background-image: linear-gradient(30deg, rgba(0, 118, 189, 0.1), transparent 50%);
}

@media screen and (min-width: 769px) {

    .blue::before {
        background-image: linear-gradient(-80deg, rgba(0, 118, 189, 0.1), transparent 50%);
    }

    .blue:nth-child(2n)::before {
        background-image: linear-gradient(80deg, rgba(0, 118, 189, 0.1), transparent 50%);
    }

}


#downarrow a {
    position: relative;
    margin-top: 2rem;
}

#downarrow a span {
    position: absolute;

    width: 24px;
    height: 24px;
    margin-left: -12px;
    border-left: 1px solid #fff;
    border-bottom: 1px solid #fff;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-animation: sdb04 2s infinite;
    animation: sdb04 2s infinite;
    box-sizing: border-box;
}

@-webkit-keyframes sdb04 {
    0% {
        -webkit-transform: rotate(-45deg) translate(0, 0);
    }

    20% {
        -webkit-transform: rotate(-45deg) translate(-10px, 10px);
    }

    40% {
        -webkit-transform: rotate(-45deg) translate(0, 0);
    }
}

@keyframes sdb04 {
    0% {
        transform: rotate(-45deg) translate(0, 0);
    }

    20% {
        transform: rotate(-45deg) translate(-10px, 10px);
    }

    40% {
        transform: rotate(-45deg) translate(0, 0);
    }
}
